## org.apache.maven.shared.osgi
Class ManifestReadingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.maven.shared.osgi.ManifestReadingException

All Implemented Interfaces:
  java.io.Serializable

    public class ManifestReadingException

extends java.lang.RuntimeException

Exception while reading the manifest. Encapsulates an IOException to make it runtime

Version:
  $Id: ManifestReadingException.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Carlos Sanchez
See Also:
  Serialized Form

Constructor Summary
`ManifestReadingException()`
`ManifestReadingException(java.lang.String message)`
`ManifestReadingException(java.lang.String message, java.lang.Throwable cause)`
`ManifestReadingException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManifestReadingException

    public ManifestReadingException()

### ManifestReadingException

    public ManifestReadingException(java.lang.String message,
                                    java.lang.Throwable cause)

### ManifestReadingException

    public ManifestReadingException(java.lang.String message)

### ManifestReadingException

    public ManifestReadingException(java.lang.Throwable cause)

Copyright © 2011. All Rights Reserved.